# wxSplitterEvent Class Reference
[Events]

`#include <wx/splitter.h>`

Inheritance diagram for wxSplitterEvent:
[legend]

## Detailed Description

This class represents the events generated by a splitter control.

Also there is only one event class, the data associated to the different events is not the same and so not all accessor functions may be called for each event. The documentation mentions the kind of event(s) for which the given accessor function makes sense: calling it for other types of events will result in assert failure (in debug mode) and will return meaningless results.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxSplitterEvent& event)
Event macros:

- EVT_SPLITTER_SASH_POS_CHANGING(id, func):
  The sash position is in the process of being changed. May be used to modify the position of the tracking bar to properly reflect the position that would be set if the drag were to be completed at this point. Processes a `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGING` event.
- EVT_SPLITTER_SASH_POS_CHANGED(id, func):
  The sash position was changed. May be used to modify the sash position before it is set, or to prevent the change from taking place. Processes a `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGED` event.
- EVT_SPLITTER_UNSPLIT(id, func):
  The splitter has been just unsplit. Processes a `wxEVT_COMMAND_SPLITTER_UNSPLIT` event.
- EVT_SPLITTER_DCLICK(id, func):
  The sash was double clicked. The default behaviour is to unsplit the window when this happens (unless the minimum pane size has been set to a value greater than zero). Processes a `wxEVT_COMMAND_SPLITTER_DOUBLECLICKED` event.

##

Library: wxCore

Category: Events

See also:
  wxSplitterWindow, Events and Event Handling

## Public Member Functions
| wxSplitterEvent (wxEventType eventType=wxEVT_NULL, wxSplitterWindow *splitter=NULL)
| Constructor.
int | GetSashPosition () const
| Returns the new sash position.
wxWindow * | GetWindowBeingRemoved () const
| Returns a pointer to the window being removed when a splitter window is unsplit.
int | GetX () const
| Returns the x coordinate of the double-click point.
int | GetY () const
| Returns the y coordinate of the double-click point.
void | SetSashPosition (int pos)
| In the case of `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGED` events, sets the new sash position.

List of all members.

## Constructor & Destructor Documentation

wxSplitterEvent::wxSplitterEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | wxSplitterWindow * | splitter = `NULL` |
| ) |  |  |

Constructor.

Used internally by wxWidgets only.

## Member Function Documentation

int wxSplitterEvent::GetSashPosition | ( |  | ) | const

Returns the new sash position.

May only be called while processing `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGING` and `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGED` events.

wxWindow* wxSplitterEvent::GetWindowBeingRemoved | ( |  | ) | const

Returns a pointer to the window being removed when a splitter window is unsplit.

May only be called while processing `wxEVT_COMMAND_SPLITTER_UNSPLIT` events.

int wxSplitterEvent::GetX | ( |  | ) | const

Returns the x coordinate of the double-click point.

May only be called while processing `wxEVT_COMMAND_SPLITTER_DOUBLECLICKED` events.

int wxSplitterEvent::GetY | ( |  | ) | const

Returns the y coordinate of the double-click point.

May only be called while processing `wxEVT_COMMAND_SPLITTER_DOUBLECLICKED` events.

void wxSplitterEvent::SetSashPosition | ( | int | pos | ) |

In the case of `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGED` events, sets the new sash position.

In the case of `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGING` events, sets the new tracking bar position so visual feedback during dragging will represent that change that will actually take place. Set to -1 from the event handler code to prevent repositioning.

May only be called while processing `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGING` and `wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGED` events.

Parameters:

  | pos | New sash position.

|  | [ top ]